Vla-put-linespacingstyle
- 構文
- (vla-put-linespacingstyle vla-object style )
- 機能
- MText オブジェクトの行間スタイルを指定する。
- 引数
-
- vla-object … VLAオブジェクト(GeoPositionMarker、MText)
- style … acLineSpacingStyle 列挙型
- :vlax-acLineSpacingStyleAtLeast
- :vlax-acLineSpacingStyleExactly
- 戻り値
- nil
- MEMO : acLineSpacingStyleAtLeast 設定では、異なるテキスト行の間の間隔を、テキスト行内の最大の文字高さに基づいて自動的に調整できる。
- acLineSpacingStyleExactly 設定では、形式の変更にかかわらず、MText オブジェクトのすべての行に同じサイズの行間隔を適用する。
- サンプル
(vl-load-com) (defun c:Example_LineSpacingFactor() ;; MText を作成して LineSpacingFactor を変更するサンプル (setq acadObj (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocument acadObj)) (setq corner (vlax-3d-point 0 10 0) width 10 text "これは Mtext の文字です\(^o^)/") ;; MText を作成 (setq modelSpace (vla-get-ModelSpace doc)) (setq MTextObj (vla-AddMText modelSpace corner width text)) (vla-ZoomAll acadObj) ;; 現在の LineSpacingFactor (setq currFactor (vla-get-LineSpacingFactor MTextObj)) (alert (strcat "現在の LineSpacingFactor 値は: " (rtos currFactor 2))) ;; 変更 (vla-put-LineSpacingFactor MTextObj 0.7) (alert (strcat "新しい LineSpacingFactor 値は : " (rtos (vla-get-LineSpacingFactor MTextObj) 2))) ;; 戻す (vla-put-LineSpacingFactor MTextObj currFactor) (alert (strcat "LineSpacingFactor 値を次に戻しました : " (rtos (vla-get-LineSpacingFactor MTextObj) 2))) )
関連事項